## librtui 0.1.6

=== Makefile ===
PROJECT ?= librtui
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

.PHONY: all
all: build

#
# Development
#
.PHONY: run
run:
	examples/tui_test

.PHONY: debug
debug:
	DEBUG=true examples/tui_test

#
# Test
#
.PHONY: test
test:

#
# Build
#
.PHONY: build
build: build-doc

SRC-DOC		:=	src
DOCS		:=	SOURCE
.PHONY: build-doc
build-doc: $(DOCS)

$(SRC-DOC):
	mkdir -p $(SRC-DOC)

SOURCE: $(SRC-DOC)
	echo -e "git clone $(shell git remote get-url origin)\ngit checkout $(shell git rev-parse HEAD)" > "$@"

#
# Documentation
#
.PHONY: serve
serve:
	mdbook serve

.PHONY: serve_zh-CN
serve_zh-CN:
	MDBOOK_BOOK__LANGUAGE=zh-CN mdbook serve -d book/zh-CN

.PHONY: translate
translate:
	MDBOOK_OUTPUT='{"xgettext": {"pot-file": "messages.pot"}}' mdbook build -d po
	for i in po/*.po; \
	do \
		msgmerge --update $$i po/messages.pot; \
	done

.PHONY: update-admonish
update-admonish:
	mdbook-admonish install --css-dir theme/css

#
# Clean
#
.PHONY: distclean
distclean: clean

.PHONY: clean
clean: clean-doc clean-deb

.PHONY: clean-doc
clean-doc:
	rm -rf $(DOCS)

.PHONY: clean-deb
clean-deb:
	rm -rf debian/.debhelper debian/${PROJECT}*/ debian/debhelper-build-stamp debian/files debian/*.debhelper.log debian/*.postrm.debhelper debian/*.substvars

#
# Release
#
.PHONY: dch
dch: debian/changelog
	EDITOR=true gbp dch --ignore-branch --multimaint-merge --commit --release --dch-opt=--upstream

.PHONY: deb
deb: debian
	debuild --no-lintian --lintian-hook "lintian --fail-on error,warning --suppress-tags bad-distribution-in-changes-file -- %p_%v_*.changes" --no-sign -b

.PHONY: release
release:
	gh workflow run .github/workflows/new_version.yml --ref $(shell git branch --show-current)

=== debian/changelog ===
librtui (0.1.6) jammy; urgency=medium

  [ CodeChenL ]
  * feat: add function checklist_gettitle
  * fix: apply suggestions from code review
  * fix: use tab

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Wed, 07 Aug 2024 08:32:31 +0000

librtui (0.1.5) jammy; urgency=medium

  [ CodeChenL ]
  * feat: menu: export RTUI_MENU_SELECTED_INDEX
  * feat: utils: add function __external_script_type_check

  [ ZHANG Yuntian ]
  * tests: add menu related test cases
  * fix: exec requires special variable syntax
  * refactor: rename to __lock_fd
  * feat: add more lock functions
  * fix: remove get_real_user
  * fix: __wait_parallel will wait for all jobs to finish
  * test: add example code for parallel functions

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Wed, 31 Jul 2024 07:24:14 +0000

librtui (0.1.4) jammy; urgency=medium

  [ ZHANG Yuntian ]
  * fix: avoid [ and use [[

  [ CodeChenL ]
  * feat: add util function get_real_user
  * fix: close some change request
  * fix: remove redundant echo

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Wed, 26 Jun 2024 10:59:33 +0000

librtui (0.1.3) jammy; urgency=medium

  [ ZHANG Yuntian ]
  * fix: allow utils.sh to be sourced multiple times

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Fri, 24 May 2024 02:25:44 +0000

librtui (0.1.2) jammy; urgency=medium

  [ CodeChenL ]
  * refactor: change scr directory structure
  * feat: add function librtui_set_palette
  * feat: add more util function from RSDK

  [ ZHANG Yuntian ]
  * feat: add __lock_on_file
  * feat: add selection empty helpers
  * test: add usage of selection empty helpers

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Wed, 22 May 2024 09:08:52 +0000

librtui (0.1.1) jammy; urgency=medium

  [ ZHANG Yuntian ]
  * feat: allow tui_start to configure program title

  [ dependabot[bot] ]
  * build(deps): Bump peaceiris/actions-mdbook from 1 to 2

  [ CodeChenL ]
  * fix: fix wrong install path
  * fix: remove function log

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Tue, 23 Apr 2024 06:36:50 +0000

librtui (0.1.0) jammy; urgency=medium

  * Initial release

 -- "Radxa Computer Co., Ltd" <dev@radxa.com>  Tue, 02 Apr 2024 18:01:54 +0800

=== debian/control ===
Source: librtui
Maintainer: "Radxa Computer Co., Ltd" <dev@radxa.com>
Section: libdevel
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>=12~),
               devscripts,
               lintian,
               dh-exec,
               pandoc,
               shellcheck,

Package: librtui
Architecture: all
Section: libdevel
Priority: optional
Depends: whiptail,
         ${misc:Depends},
Description: Radxa TUI library
 Radxa TUI library (librtui) provides an simple API to create TUI applications.

Package: librtui-examples
Architecture: all
Section: libdevel
Priority: optional
Depends: librtui,
         ${misc:Depends},
Description: Radxa TUI library - Example
 Radxa TUI library (librtui) provides an simple API to create TUI applications.
 This package provides examples for librtui.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz
